<template>
  <div id="product-info-page">
    <ShowProductDetails
      :productDetails="productDetails"
      :shopMiniDetails="shopMiniDetails"
      @go-to-this-shop-details="goToShopDetails"
    />
  </div>
</template>

<script>
import ShowProductDetails from "./ShowProductDetails.vue";

import API from "@/API.js";
export default {
  name: "ProductDetailsPage",
  components: {
    ShowProductDetails
  },
  props: {},

  data() {
    return {
      searchedProduct: this.$route.params.searchedProduct,
      productDetails: {},
      shopMiniDetails: {}
    };
  },

  async mounted() {
    this.productDetails = await API.loadProductDetails(this.searchedProduct);

    let shop_id = this.productDetails.shop_id;
    this.shopMiniDetails = await API.loadShopMiniDetails(shop_id);
  },

  methods: {
    goToShopDetails(searchedShop) {
      this.$router.push("/shop-Details/" + searchedShop);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
#product_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  margin-bottom: -10%;
}
.go-to-pannel-button {
  margin-top: 5%;
}
</style>
